{
 "cloud": {},
 "resources": {
  "gs23r2b28-ib0": {
   "implementations": {
    "dislib.decomposition.pca.base._subset_transform": {
     "maxTime": 5010,
     "executions": 9,
     "avgTime": 4561,
     "minTime": 3055
    },
    "dislib.data.array._block_apply_axis": {
     "maxTime": 3333,
     "executions": 21,
     "avgTime": 1597,
     "minTime": 929
    },
    "dislib.decomposition.pca.base._estimate_covariance": {
     "maxTime": 1688,
     "executions": 1,
     "avgTime": 1688,
     "minTime": 1688
    },
    "dislib.decomposition.pca.base._merge_partial_scatter_matrix": {
     "maxTime": 20972,
     "executions": 1,
     "avgTime": 20972,
     "minTime": 20972
    },
    "dislib.classification.csvm.base._predict": {
     "maxTime": 1489,
     "executions": 5,
     "avgTime": 1090,
     "minTime": 206
    },
    "dislib.decomposition.pca.base._subset_scatter_matrix": {
     "maxTime": 3545,
     "executions": 6,
     "avgTime": 3505,
     "minTime": 3462
    },
    "dislib.classification.csvm.base._train": {
     "maxTime": 8387,
     "executions": 52,
     "avgTime": 1114,
     "minTime": 344
    },
    "dislib.model_selection._split._merge_rows_keeping_cols": {
     "maxTime": 366,
     "executions": 6,
     "avgTime": 132,
     "minTime": 62
    },
    "dislib.utils.base._choose_and_assign_rows_xy": {
     "maxTime": 627,
     "executions": 6,
     "avgTime": 445,
     "minTime": 366
    },
    "dislib.classification.csvm.base._gen_ids": {
     "maxTime": 344,
     "executions": 30,
     "avgTime": 108,
     "minTime": 61
    },
    "dislib.data.array._combine_blocks": {
     "maxTime": 570,
     "executions": 6,
     "avgTime": 548,
     "minTime": 532
    },
    "dislib.decomposition.pca.base._decompose": {
     "maxTime": 152936,
     "executions": 1,
     "avgTime": 152936,
     "minTime": 152936
    },
    "dislib.utils.base._merge_shuffle_xy": {
     "maxTime": 506,
     "executions": 6,
     "avgTime": 480,
     "minTime": 432
    },
    "dislib.data.array._filter_block": {
     "maxTime": 643,
     "executions": 496,
     "avgTime": 61,
     "minTime": 61
    }
   }
  },
  "gs23r2b46-ib0": {
   "implementations": {
    "dislib.decomposition.pca.base._subset_transform": {
     "maxTime": 7350,
     "executions": 6,
     "avgTime": 7320,
     "minTime": 7297
    },
    "dislib.data.array._block_apply_axis": {
     "maxTime": 3437,
     "executions": 6,
     "avgTime": 2912,
     "minTime": 2505
    },
    "dislib.decomposition.pca.base._estimate_covariance": {
     "maxTime": -9223372036854775808,
     "executions": 0,
     "avgTime": 100,
     "minTime": 9223372036854775807
    },
    "dislib.decomposition.pca.base._merge_partial_scatter_matrix": {
     "maxTime": -9223372036854775808,
     "executions": 0,
     "avgTime": 100,
     "minTime": 9223372036854775807
    },
    "dislib.classification.csvm.base._predict": {
     "maxTime": 1412,
     "executions": 5,
     "avgTime": 1016,
     "minTime": 249
    },
    "dislib.decomposition.pca.base._subset_scatter_matrix": {
     "maxTime": 3684,
     "executions": 6,
     "avgTime": 3631,
     "minTime": 3575
    },
    "dislib.classification.csvm.base._train": {
     "maxTime": 9401,
     "executions": 59,
     "avgTime": 1078,
     "minTime": 83
    },
    "dislib.model_selection._split._merge_rows_keeping_cols": {
     "maxTime": 386,
     "executions": 2,
     "avgTime": 224,
     "minTime": 62
    },
    "dislib.utils.base._choose_and_assign_rows_xy": {
     "maxTime": 585,
     "executions": 7,
     "avgTime": 387,
     "minTime": 84
    },
    "dislib.classification.csvm.base._gen_ids": {
     "maxTime": 362,
     "executions": 29,
     "avgTime": 112,
     "minTime": 61
    },
    "dislib.data.array._combine_blocks": {
     "maxTime": 656,
     "executions": 6,
     "avgTime": 643,
     "minTime": 638
    },
    "dislib.decomposition.pca.base._decompose": {
     "maxTime": -9223372036854775808,
     "executions": 0,
     "avgTime": 100,
     "minTime": 9223372036854775807
    },
    "dislib.utils.base._merge_shuffle_xy": {
     "maxTime": 625,
     "executions": 8,
     "avgTime": 445,
     "minTime": 124
    },
    "dislib.data.array._filter_block": {
     "maxTime": 188,
     "executions": 538,
     "avgTime": 61,
     "minTime": 61
    }
   }
  },
  "gs23r2b40-ib0": {
   "implementations": {
    "dislib.decomposition.pca.base._subset_transform": {
     "maxTime": 7415,
     "executions": 6,
     "avgTime": 7357,
     "minTime": 7332
    },
    "dislib.data.array._block_apply_axis": {
     "maxTime": 3173,
     "executions": 11,
     "avgTime": 2056,
     "minTime": 1091
    },
    "dislib.decomposition.pca.base._estimate_covariance": {
     "maxTime": -9223372036854775808,
     "executions": 0,
     "avgTime": 100,
     "minTime": 9223372036854775807
    },
    "dislib.decomposition.pca.base._merge_partial_scatter_matrix": {
     "maxTime": -9223372036854775808,
     "executions": 0,
     "avgTime": 100,
     "minTime": 9223372036854775807
    },
    "dislib.classification.csvm.base._predict": {
     "maxTime": 1349,
     "executions": 15,
     "avgTime": 1010,
     "minTime": 165
    },
    "dislib.decomposition.pca.base._subset_scatter_matrix": {
     "maxTime": 3382,
     "executions": 9,
     "avgTime": 2873,
     "minTime": 1831
    },
    "dislib.classification.csvm.base._train": {
     "maxTime": 8136,
     "executions": 54,
     "avgTime": 957,
     "minTime": 105
    },
    "dislib.model_selection._split._merge_rows_keeping_cols": {
     "maxTime": 329,
     "executions": 4,
     "avgTime": 139,
     "minTime": 63
    },
    "dislib.utils.base._choose_and_assign_rows_xy": {
     "maxTime": 647,
     "executions": 8,
     "avgTime": 439,
     "minTime": 344
    },
    "dislib.classification.csvm.base._gen_ids": {
     "maxTime": 343,
     "executions": 26,
     "avgTime": 102,
     "minTime": 61
    },
    "dislib.data.array._combine_blocks": {
     "maxTime": 885,
     "executions": 9,
     "avgTime": 585,
     "minTime": 210
    },
    "dislib.decomposition.pca.base._decompose": {
     "maxTime": -9223372036854775808,
     "executions": 0,
     "avgTime": 100,
     "minTime": 9223372036854775807
    },
    "dislib.utils.base._merge_shuffle_xy": {
     "maxTime": 545,
     "executions": 7,
     "avgTime": 469,
     "minTime": 425
    },
    "dislib.data.array._filter_block": {
     "maxTime": 203,
     "executions": 603,
     "avgTime": 61,
     "minTime": 61
    }
   }
  }
 },
 "implementations": {
  "dislib.decomposition.pca.base._subset_transform": {
   "maxTime": 7415,
   "executions": 21,
   "avgTime": 6147,
   "minTime": 3055
  },
  "dislib.data.array._block_apply_axis": {
   "maxTime": 3437,
   "executions": 38,
   "avgTime": 1936,
   "minTime": 929
  },
  "dislib.decomposition.pca.base._estimate_covariance": {
   "maxTime": 1688,
   "executions": 1,
   "avgTime": 1688,
   "minTime": 1688
  },
  "dislib.decomposition.pca.base._merge_partial_scatter_matrix": {
   "maxTime": 20972,
   "executions": 1,
   "avgTime": 20972,
   "minTime": 20972
  },
  "dislib.classification.csvm.base._predict": {
   "maxTime": 1489,
   "executions": 25,
   "avgTime": 1027,
   "minTime": 165
  },
  "dislib.decomposition.pca.base._subset_scatter_matrix": {
   "maxTime": 3684,
   "executions": 21,
   "avgTime": 3269,
   "minTime": 1831
  },
  "dislib.classification.csvm.base._train": {
   "maxTime": 9401,
   "executions": 165,
   "avgTime": 1049,
   "minTime": 83
  },
  "dislib.model_selection._split._merge_rows_keeping_cols": {
   "maxTime": 386,
   "executions": 12,
   "avgTime": 149,
   "minTime": 62
  },
  "dislib.utils.base._choose_and_assign_rows_xy": {
   "maxTime": 647,
   "executions": 21,
   "avgTime": 423,
   "minTime": 84
  },
  "dislib.classification.csvm.base._gen_ids": {
   "maxTime": 362,
   "executions": 85,
   "avgTime": 107,
   "minTime": 61
  },
  "dislib.data.array._combine_blocks": {
   "maxTime": 885,
   "executions": 21,
   "avgTime": 590,
   "minTime": 210
  },
  "dislib.decomposition.pca.base._decompose": {
   "maxTime": 152936,
   "executions": 1,
   "avgTime": 152936,
   "minTime": 152936
  },
  "dislib.utils.base._merge_shuffle_xy": {
   "maxTime": 625,
   "executions": 21,
   "avgTime": 462,
   "minTime": 124
  },
  "dislib.data.array._filter_block": {
   "maxTime": 643,
   "executions": 1637,
   "avgTime": 61,
   "minTime": 61
  }
 }
}